<template>
    <ion-page>
      <ion-header>
        <ion-toolbar>
            <ion-title>{{ pageTitle }}</ion-title>
            <!-- <ion-title>Welcome</ion-title> -->
          <ion-buttons slot="end">
            <ion-button router-link="/space-overview">Dashboard</ion-button>
            <ion-button router-link="/user-assets">Your Space Assets</ion-button>
            <ion-button router-link="/register-asset">Register Space Asset</ion-button>
            <ion-button router-link="/login">Profile</ion-button>
          </ion-buttons>
        </ion-toolbar>
      </ion-header>
  
      <ion-split-pane contentId="main-content">

  <!-- Main content area -->
  <ion-router-outlet id="main-content"></ion-router-outlet>
</ion-split-pane>


      <ion-content>
            <slot></slot>
      </ion-content>
     
    </ion-page>
</template>
  
<script lang="ts">
    import { IonContent, IonPage, IonHeader, IonToolbar, IonTitle, IonButtons, IonButton } from '@ionic/vue';
    import { defineComponent } from 'vue';

    export default defineComponent({
        props: ['pageTitle'],
        components: {
            IonContent, IonPage, IonHeader, IonToolbar,
            IonTitle, IonButtons, IonButton,
        },
});

</script>

<style>
</style>
  
  